
/* Localizable strings for channel label names */
"kAudioChannelLabel_Unknown"                 = "Unknown";
"kAudioChannelLabel_Unused"                  = "Unused";
"kAudioChannelLabel_UseCoordinates"          = "Use Coordinates";

"kAudioChannelLabel_Left"                    = "Left";
"kAudioChannelLabel_Right"                   = "Right";
"kAudioChannelLabel_Center"                  = "Center";
"kAudioChannelLabel_LFEScreen"               = "LFE Screen";
"kAudioChannelLabel_LeftSurround"            = "Left Surround";
"kAudioChannelLabel_RightSurround"           = "Right Surround";
"kAudioChannelLabel_LeftCenter"              = "Left Center";
"kAudioChannelLabel_RightCenter"             = "Right Center";
"kAudioChannelLabel_CenterSurround"          = "Center Surround";
"kAudioChannelLabel_LeftSurroundDirect"      = "Left Surround Direct";
"kAudioChannelLabel_RightSurroundDirect"     = "Right Surround Direct";
"kAudioChannelLabel_TopCenterSurround"       = "Top Center Surround";
"kAudioChannelLabel_VerticalHeightLeft"      = "Vertical Height Left";
"kAudioChannelLabel_VerticalHeightCenter"    = "Vertical Height Center";
"kAudioChannelLabel_VerticalHeightRight"     = "Vertical Height Right";

"kAudioChannelLabel_TopBackLeft"             = "Top Back Left";
"kAudioChannelLabel_TopBackCenter"           = "Top Back Center";
"kAudioChannelLabel_TopBackRight"            = "Top Back Right";

"kAudioChannelLabel_RearSurroundLeft"        = "Rear Surround Left";
"kAudioChannelLabel_RearSurroundRight"       = "Rear Surround Right";
"kAudioChannelLabel_LeftWide"                = "Left Wide";
"kAudioChannelLabel_RightWide"               = "Right Wide";
"kAudioChannelLabel_LFE2"                    = "LFE 2";
"kAudioChannelLabel_LeftTotal"               = "Left Total";
"kAudioChannelLabel_RightTotal"              = "Right Total";
"kAudioChannelLabel_HearingImpaired"         = "Hearing Impaired";
"kAudioChannelLabel_Narration"               = "Narration";
"kAudioChannelLabel_Mono"                    = "Mono";
"kAudioChannelLabel_DialogCentricMix"        = "Dialog Centric Mix";

"kAudioChannelLabel_CenterSurroundDirect"    = "Center Surround Direct";

/* first order ambisonic channels  */
"kAudioChannelLabel_Ambisonic_W"             = "Ambisonic W";
"kAudioChannelLabel_Ambisonic_X"             = "Ambisonic X";
"kAudioChannelLabel_Ambisonic_Y"             = "Ambisonic Y";
"kAudioChannelLabel_Ambisonic_Z"             = "Ambisonic Z";

/* Mid/Side Recording */
"kAudioChannelLabel_MS_Mid"                  = "Mid/Side Recording (Mid)";
"kAudioChannelLabel_MS_Side"                 = "Mid/Side Recording (Side)";

/* X-Y Recording */
"kAudioChannelLabel_XY_X"                    = "X-Y Recording (X)";
"kAudioChannelLabel_XY_Y"                    = "X-Y Recording (Y)";

/* other */
"kAudioChannelLabel_HeadphonesLeft"          = "Headphones Left";
"kAudioChannelLabel_HeadphonesRight"         = "Headphones Right";
"kAudioChannelLabel_ClickTrack"              = "Click Track";
"kAudioChannelLabel_ForeignLanguage"         = "Foreign Language";

/* generic discrete channel */
"kAudioChannelLabel_Discrete" = "Generic Discrete Channel";

/* numbered discrete channel */
"kAudioChannelLabel_Discrete_0"     = "Discrete Channel 0";
"kAudioChannelLabel_Discrete_1"     = "Discrete Channel 1";
"kAudioChannelLabel_Discrete_2"     = "Discrete Channel 2";
"kAudioChannelLabel_Discrete_3"     = "Discrete Channel 3";
"kAudioChannelLabel_Discrete_4"     = "Discrete Channel 4";
"kAudioChannelLabel_Discrete_5"     = "Discrete Channel 5";
"kAudioChannelLabel_Discrete_6"     = "Discrete Channel 6";
"kAudioChannelLabel_Discrete_7"     = "Discrete Channel 7";
"kAudioChannelLabel_Discrete_8"     = "Discrete Channel 8";
"kAudioChannelLabel_Discrete_9"     = "Discrete Channel 9";
"kAudioChannelLabel_Discrete_10"    = "Discrete Channel 10";
"kAudioChannelLabel_Discrete_11"    = "Discrete Channel 11";
"kAudioChannelLabel_Discrete_12"    = "Discrete Channel 12";
"kAudioChannelLabel_Discrete_13"    = "Discrete Channel 13";
"kAudioChannelLabel_Discrete_14"    = "Discrete Channel 14";
"kAudioChannelLabel_Discrete_15"    = "Discrete Channel 15";
"kAudioChannelLabel_Discrete_65535" = "Discrete Channel 65535";


/*// These are for use in the mChannelBitmap field of struct AudioChannelLayout
enum
{
	kAudioChannelBit_Left 						= (1L<<0),
	kAudioChannelBit_Right 						= (1L<<1),
	kAudioChannelBit_Center 					= (1L<<2),
	kAudioChannelBit_LFEScreen 					= (1L<<3),
	kAudioChannelBit_LeftSurround 				= (1L<<4),		// WAVE: "Back Left"
	kAudioChannelBit_RightSurround 				= (1L<<5),		// WAVE: "Back Right"
	kAudioChannelBit_LeftCenter 				= (1L<<6),
	kAudioChannelBit_RightCenter 				= (1L<<7),
	kAudioChannelBit_CenterSurround 			= (1L<<8),		// WAVE: "Back Center"
	kAudioChannelBit_LeftSurroundDirect			= (1L<<9),		// WAVE: "Side Left"
	kAudioChannelBit_RightSurroundDirect		= (1L<<10),		// WAVE: "Side Right"
	kAudioChannelBit_TopCenterSurround 			= (1L<<11),
	kAudioChannelBit_VerticalHeightLeft 		= (1L<<12),		// WAVE: "Top Front Left"
	kAudioChannelBit_VerticalHeightCenter 		= (1L<<13),		// WAVE: "Top Front Center"
	kAudioChannelBit_VerticalHeightRight 		= (1L<<14),		// WAVE: "Top Front Right"
	kAudioChannelBit_TopBackLeft 				= (1L<<15),
	kAudioChannelBit_TopBackCenter 				= (1L<<16),
	kAudioChannelBit_TopBackRight 				= (1L<<17)

*/


/* mChannelLayoutTag descriptions  */

"kAudioChannelLayoutTag_UseChannelDescriptions" = "Use Channel Descriptions";
"kAudioChannelLayoutTag_UseChannelBitmap" = "Use Channel Bitmap";

"kAudioChannelLayoutTag_Mono" = "Mono";
"kAudioChannelLayoutTag_Stereo" = "Stereo";
"kAudioChannelLayoutTag_StereoHeadphones" = "Stereo Headphones";
"kAudioChannelLayoutTag_MatrixStereo" = "Matrix Stereo";
"kAudioChannelLayoutTag_MidSide" = "Mid Side";
"kAudioChannelLayoutTag_XY" = "XY";
"kAudioChannelLayoutTag_Binaural" = "Binaural";
"kAudioChannelLayoutTag_Ambisonic_B_Format" = "Ambisonic B Format";

"kAudioChannelLayoutTag_Quadraphonic" = "Quadraphonic";

"kAudioChannelLayoutTag_Pentagonal" = "Pentagonal";

"kAudioChannelLayoutTag_Hexagonal" = "Hexagonal";

"kAudioChannelLayoutTag_Octagonal" = "Octagonal";

"kAudioChannelLayoutTag_Cube" = "Cube";

/* MPEG defined layouts */
"kAudioChannelLayoutTag_MPEG_1_0"   = "MPEG 1.0";
"kAudioChannelLayoutTag_MPEG_2_0"   = "MPEG 2.0";
"kAudioChannelLayoutTag_MPEG_3_0_A" = "MPEG 3.0 A";
"kAudioChannelLayoutTag_MPEG_3_0_B" = "MPEG 3.0 B";
"kAudioChannelLayoutTag_MPEG_4_0_A" = "MPEG 4.0 A";
"kAudioChannelLayoutTag_MPEG_4_0_B" = "MPEG 4.0 B";
"kAudioChannelLayoutTag_MPEG_5_0_A" = "MPEG 5.0 A";
"kAudioChannelLayoutTag_MPEG_5_0_B" = "MPEG 5.0 B";
"kAudioChannelLayoutTag_MPEG_5_0_C" = "MPEG 5.0 C";
"kAudioChannelLayoutTag_MPEG_5_0_D" = "MPEG 5.0 D";
"kAudioChannelLayoutTag_MPEG_5_1_A" = "MPEG 5.1 A";
"kAudioChannelLayoutTag_MPEG_5_1_B" = "MPEG 5.1 B";
"kAudioChannelLayoutTag_MPEG_5_1_C" = "MPEG 5.1 C";
"kAudioChannelLayoutTag_MPEG_5_1_D" = "MPEG 5.1 D";
"kAudioChannelLayoutTag_MPEG_6_1_A" = "MPEG 6.1 A";
"kAudioChannelLayoutTag_MPEG_7_1_A" = "MPEG 7.1 A";
"kAudioChannelLayoutTag_MPEG_7_1_B" = "MPEG 7.1 B";
"kAudioChannelLayoutTag_MPEG_7_1_C" = "MPEG 7.1 C";
"kAudioChannelLayoutTag_Emagic_Default_7_1" = "Emagic Default 7.1";
"kAudioChannelLayoutTag_SMPTE_DTV" = "SMTPE DTV";

/*	ITU defined layouts */
"kAudioChannelLayoutTag_ITU_1_0" = "ITU 1.0";
"kAudioChannelLayoutTag_ITU_2_0" = "ITU 2.0";

"kAudioChannelLayoutTag_ITU_2_1" = "ITU 2.1";
"kAudioChannelLayoutTag_ITU_2_2" = "ITU 2.2";
"kAudioChannelLayoutTag_ITU_3_0" = "ITU 3.0";
"kAudioChannelLayoutTag_ITU_3_1" = "ITU 3.1";

"kAudioChannelLayoutTag_ITU_3_2" = "ITU 3.2";
"kAudioChannelLayoutTag_ITU_3_2_1" = "ITU 3.2.1";
"kAudioChannelLayoutTag_ITU_3_4_1" = "ITU 3.4.1";

/* DVD defined layouts  */
"kAudioChannelLayoutTag_DVD_0" = "DVD 0";
"kAudioChannelLayoutTag_DVD_1" = "DVD 1";
"kAudioChannelLayoutTag_DVD_2" = "DVD 2";
"kAudioChannelLayoutTag_DVD_3" = "DVD 3";
"kAudioChannelLayoutTag_DVD_4" = "DVD 4";
"kAudioChannelLayoutTag_DVD_5" = "DVD 5";
"kAudioChannelLayoutTag_DVD_6" = "DVD 6";
"kAudioChannelLayoutTag_DVD_7" = "DVD 7";
"kAudioChannelLayoutTag_DVD_8" = "DVD 8";
"kAudioChannelLayoutTag_DVD_9" = "DVD 9";
"kAudioChannelLayoutTag_DVD_10" = "DVD 10";
"kAudioChannelLayoutTag_DVD_11" = "DVD 11";
"kAudioChannelLayoutTag_DVD_12" = "DVD 12";

"kAudioChannelLayoutTag_DVD_13" = "DVD 13";
"kAudioChannelLayoutTag_DVD_14" = "DVD 14";
"kAudioChannelLayoutTag_DVD_15" = "DVD 15";
"kAudioChannelLayoutTag_DVD_16" = "DVD 16";
"kAudioChannelLayoutTag_DVD_17" = "DVD 17";
"kAudioChannelLayoutTag_DVD_18" = "DVD 18";
"kAudioChannelLayoutTag_DVD_19" = "DVD 19";
"kAudioChannelLayoutTag_DVD_20" = "DVD 20";

/*
 These layouts are recommended for AudioUnit usage
 These are the symmetrical layouts
 */
"kAudioChannelLayoutTag_AudioUnit_4" = "AudioUnit 4";
"kAudioChannelLayoutTag_AudioUnit_5" = "AudioUnit 5";
"kAudioChannelLayoutTag_AudioUnit_6" = "AudioUnit 6";
"kAudioChannelLayoutTag_AudioUnit_8" = "AudioUnit 8";

/* These are the surround-based layouts */
"kAudioChannelLayoutTag_AudioUnit_5_0" = "AudioUnit 5.0";
"kAudioChannelLayoutTag_AudioUnit_6_0" = "AudioUnit 6.0";
"kAudioChannelLayoutTag_AudioUnit_7_0" = "AudioUnit 7.0";
"kAudioChannelLayoutTag_AudioUnit_5_1" = "AudioUnit 5.1";
"kAudioChannelLayoutTag_AudioUnit_6_1" = "AudioUnit 6.1";
"kAudioChannelLayoutTag_AudioUnit_7_1" = "AudioUnit 7.1";

"kAudioChannelLayoutTag_AAC_Quadraphonic" = "AAC Quadraphonic";
"kAudioChannelLayoutTag_AAC_4_0" = "AAC 4.0";
"kAudioChannelLayoutTag_AAC_5_0" = "AAC 5.0";
"kAudioChannelLayoutTag_AAC_5_1" = "AAC 5.1";
"kAudioChannelLayoutTag_AAC_6_0" = "AAC 6.0";
"kAudioChannelLayoutTag_AAC_6_1" = "AAC 6.1";
"kAudioChannelLayoutTag_AAC_7_0" = "AAC 7.0";
"kAudioChannelLayoutTag_AAC_7_1" = "AAC 7.1";
"kAudioChannelLayoutTag_AAC_Octagonal" = "AAC Octagonal";

"kAudioChannelLayoutTag_TMH_10_2_std" = "TMH 10.2 Standard";
"kAudioChannelLayoutTag_TMH_10_2_full" = "TMH 10.2 Full";

